package com.bcxin.ins.models.apply.service.impl;

import com.bcxin.ins.entity.policy_core.InsPreservationPay;
import com.bcxin.ins.entity.product_core.ProPrimaryRuleXWCK;
import com.bcxin.ins.models.apply.dao.InsPreservationPayMapper;
import com.bcxin.ins.models.apply.service.InsPreservationPayService;
import com.bcxin.ins.util.DateUtil;
import com.bcxin.mybatisplus.mapper.EntityWrapper;
import com.bcxin.mybatisplus.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

@Service
public class InsPreservationPayServiceImpl extends ServiceImpl<InsPreservationPayMapper, InsPreservationPay>
        implements InsPreservationPayService {


    /**
     * <b> 获取已生成的账单 </b>
     * @author ZXF
     * @create 2024/04/23 0023 18:09
     * @version
     * @注意事项 </b>
     */
    public InsPreservationPay getPayExAndMonth(String policyNo, Date star, Date end){
        try {
            List<InsPreservationPay> list = selectList(new EntityWrapper<InsPreservationPay>().addFilter(" pay_status =4 and external_reference={0} and ((star_pay_time={1} and end_pay_time={4}) or (star_pay_time={2} and end_pay_time={5}) or (star_pay_time={3} and end_pay_time={6}))"
                    , policyNo
                    , star
                    , DateUtil.getFirstDayOfThisQuarter()
                    , DateUtil.convertString2Date(DateUtil.getThisYearThisDay() + " 00:00:00")
                    , end
                    , DateUtil.getLastDayOfThisQuarter()
                    , DateUtil.convertString2Date(DateUtil.getThisYearLastDay() + " 23:59:59")));
            if(list.size()>0){
                return list.get(0);
            }
            return null;
        } catch (ParseException e) {
            throw new RuntimeException(e);
        }
    }
}
