package com.bcxin.ins.models.data.service.impl;

import com.bcxin.ins.core.base.service.impl.BaseServiceImpl;
import com.bcxin.ins.models.data.dao.InsProductTypeDao;
import com.bcxin.ins.models.data.entity.InsProductType;
import com.bcxin.ins.models.data.service.InsProductTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Arrays;
import java.util.List;


@Service
@Transactional(readOnly = true)
public class InsProductTypeServiceImpl extends BaseServiceImpl<InsProductTypeDao, InsProductType> implements InsProductTypeService {

	@Autowired
	private InsProductTypeDao iniProductTypeDao;
	@Override
	public InsProductType getProductType(InsProductType ptype) {
		InsProductType type = iniProductTypeDao.selectOne(ptype);
		if(type!=null){
			return type;
		}
		return null;
	}
	@Override
	public Long getProductTypeOid(InsProductType parenttype) {
		InsProductType type = iniProductTypeDao.selectOne(parenttype);
		if(type!=null){
			return type.getId();
		}
		return null;
	}

	@Override
	public List<InsProductType> findAllList() {
		return iniProductTypeDao.selectList(null);
	}

	@Override
	public List<InsProductType> findTypeList(String responsibilityType) {
		List<String> list  = Arrays.asList(responsibilityType.split(","));

		return iniProductTypeDao.findTypeList(list);
	}

}
