package com.bcxin.ins.models.web;

import com.alibaba.fastjson.JSON;
import com.bcxin.ins.core.base.web.BaseController;
import com.bcxin.ins.core.entity.MySysLog;
import com.bcxin.ins.core.service.MySysInsCompanyService;
import com.bcxin.ins.core.service.MySysLogService;
import com.bcxin.ins.core.util.CTLUtil;
import com.google.common.collect.Maps;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * 系统日志
 */
@Controller
@RequestMapping("${systemPath}/mylog")
@Lazy(false)
public class MySysLogController extends BaseController {
	/**同步界面按钮*/
	private static final String LIST = getViewPath("admin/log/log_list");
	private static final String LOG_INFO = getViewPath("admin/log/log_info");

	@Autowired
	private MySysLogService logS;

	@Autowired
	private MySysInsCompanyService insS;

	@RequiresPermissions("mylog:win:list")
	@RequestMapping(value = "/win/list")
	public  String winList(Model model, @RequestParam Map<Object,Object> params , HttpServletRequest req, HttpServletResponse resp) {
		return LIST;
	}

	@RequiresPermissions("mylog:win:list")
	@RequestMapping(value = "/query")
	public @ResponseBody Object query(Model model, @RequestParam Map<Object,Object> params , HttpServletRequest req, HttpServletResponse resp) {
		Map<Object,Object> p = CTLUtil.init(req,params);
		CTLUtil.out(logS.query(p),resp);
		return null;
	}

	/**
	 * @Description: 查看日志详情
	 * @param model
	 * @param oid
	 * @return
	 */
	@RequestMapping(value = "/list/info/{oid}")
	public String edit(Model model,@RequestParam Map<Object,Object> params , @PathVariable Long oid ,HttpServletResponse resp){
		Map<String,Object> m = Maps.newHashMap();
		MySysLog mySysLog = logS.selectById(oid);
//		CTLUtil.out(mySysLog,resp);
		String json = JSON.toJSONStringWithDateFormat(mySysLog, "yyyy-MM-dd HH:mm:ss");
		model.addAttribute("row",json);
		return LOG_INFO;
	}

}